-- by modelleicher
-- www.schwabenmodding.bplaced.net

TractorAnimations = {};

function TractorAnimations.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function TractorAnimations:load(xmlFile)
	-- Zapfwellenstummel / Powershaft rotation
	self.stummelIndex1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.TractorAnimations#zapfwellenStummelIndex1"));
end;
function TractorAnimations:delete()
end;
function TractorAnimations:mouseEvent(posX, posY, isDown, isUp, button)
end;
function TractorAnimations:keyEvent(unicode, sym, modifier, isDown)
end;
function TractorAnimations:updateTick(dt)
end;
function TractorAnimations:update(dt)
	if self:getIsActive() then
		if self.isMotorStarted then	
			-- Zapfwellenstummel / Powershaft rotation
			rotate(self.stummelIndex1, 0,0,0.01*dt);
		end;	
	end;
end;
function TractorAnimations:draw()
end;

